## libsbsms 2.3.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.1)
project(sbsms VERSION 2.3.0 LANGUAGES CXX)

option(BUILD_SHARED_LIBS "Build dynamic library" ON)

add_library(sbsms
  src/buffer.cpp
  src/dBTable.cpp
  src/fft.cpp
  src/grain.cpp
  src/resample.cpp
  src/sbsms.cpp
  src/slide.cpp
  src/sms.cpp
  src/subband.cpp
  src/track.cpp
  src/trackpoint.cpp
)

target_compile_definitions(sbsms PRIVATE CMAKE)

include(CheckFunctionExists)
check_function_exists(lrint HAVE_LRINT)
if(HAVE_LRINT)
  target_compile_definitions(sbsms PRIVATE HAVE_LRINT=1)
endif()

check_function_exists(lrintf HAVE_LRINTF)
if(HAVE_LRINTF)
  target_compile_definitions(sbsms PRIVATE HAVE_LRINTF=1)
endif()

set_target_properties(sbsms PROPERTIES
  SOVERSION ${PROJECT_VERSION_MAJOR}
  VERSION ${PROJECT_VERSION})

target_include_directories(sbsms PUBLIC
   $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/include>
   $<INSTALL_INTERFACE:${CMAKE_INSTALL_INCLUDEDIR}>
)

set_target_properties(sbsms PROPERTIES
  WINDOWS_EXPORT_ALL_SYMBOLS TRUE
)

#
# Installation
#

include(GNUInstallDirs)
include(CMakePackageConfigHelpers)

# Library
install(TARGETS sbsms
  EXPORT sbsmsTargets
  ARCHIVE DESTINATION "${CMAKE_INSTALL_LIBDIR}"
  LIBRARY DESTINATION "${CMAKE_INSTALL_LIBDIR}"
  RUNTIME DESTINATION "${CMAKE_INSTALL_BINDIR}"
  INCLUDES DESTINATION "${CMAKE_INSTALL_INCLUDEDIR}"
)

install(FILES include/sbsms.h DESTINATION "${CMAKE_INSTALL_INCLUDEDIR}")

# pkgconfig
set(prefix "${CMAKE_INSTALL_PREFIX}")
set(exec_prefix "\${prefix}")
set(libdir "\${exec_prefix}/${CMAKE_INSTALL_LIBDIR}")
set(includedir "\${prefix}/${CMAKE_INSTALL_INCLUDEDIR}")
set(VERSION "${CMAKE_PROJECT_VERSION}")
configure_file(${CMAKE_CURRENT_SOURCE_DIR}/sbsms.pc.in
  ${CMAKE_CURRENT_BINARY_DIR}/sbsms.pc @ONLY)
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/sbsms.pc DESTINATION "${CMAKE_INSTALL_LIBDIR}/pkgconfig")

# CMake config
set(SBSMS_INSTALL_CMAKEDIR "lib/cmake/sbsms")
install(
  EXPORT sbsmsTargets
  FILE sbsmsTargets.cmake
  NAMESPACE sbsms::
  DESTINATION "${SBSMS_INSTALL_CMAKEDIR}"
)
configure_package_config_file(sbsmsConfig.cmake.in
  "${CMAKE_CURRENT_BINARY_DIR}/sbsmsConfig.cmake"
  INSTALL_DESTINATION "${SBSMS_INSTALL_CMAKEDIR}"
)
write_basic_package_version_file(
  "${CMAKE_CURRENT_BINARY_DIR}/sbsmsConfigVersion.cmake"
  VERSION "${CMAKE_PROJECT_VERSION}"
  COMPATIBILITY SameMajorVersion
)
install(
  FILES
    "${CMAKE_CURRENT_BINARY_DIR}/sbsmsConfig.cmake"
    "${CMAKE_CURRENT_BINARY_DIR}/sbsmsConfigVersion.cmake"
  DESTINATION "${SBSMS_INSTALL_CMAKEDIR}"
)

## libsbsms 1.7.0

=== debian/changelog ===
libsbsms (1.7.0-1) unstable; urgency=low

  * Initial release (Closes: #613517).

 -- Benjamin Drung <bdrung@debian.org>  Sat, 19 Feb 2011 19:13:02 +0100

=== debian/control ===
Source: libsbsms
Section: libs
Priority: optional
Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders: Benjamin Drung <bdrung@debian.org>
Build-Depends: autotools-dev,
               debhelper (>= 8),
               dh-autoreconf,
               libsndfile1-dev (>= 1.0.2),
               libtool
Standards-Version: 3.9.1
Homepage: http://sbsms.sourceforge.net/
Vcs-Browser: http://git.debian.org/?p=pkg-multimedia/libsbsms.git;a=summary
Vcs-Git: git://git.debian.org/git/pkg-multimedia/libsbsms.git

Package: libsbsms1
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Subband Sinusoidal Modeling Synthesis
 libsbsms is a C++ library for high quality time stretching and pitch scaling of
 audio. It uses octave subband sinusoidal modeling.
 .
 The audio is fed into a FIFO, which takes the STFT of the input. Each frame is
 high-pass filtered in the Fourier domain, and then written to a frame FIFO
 which does quadratic interpolating peak detection and track continuation. The
 tracks are resynthesized with a quadratic phase preserving oscillator bank at
 an arbitrary time scale.
 .
 The subbands are fed from the low-pass filtered frames, which are decimated by
 two and reconstructed in a half rate time domain. The subbands perform the same
 process as the parent band, only the data is at half the audio frequency, and
 at half the rate. There are typically 6 bands. The point of subbands is to
 allow high time resolution for high frequencies and at the same time high
 frequency resolution for low frequencies.
 .
 Pitch scaling is performed in a post-processing resampling step.

Package: libsbsms-dev
Section: libdevel
Architecture: any
Depends: libsbsms1 (= ${binary:Version}), ${misc:Depends}
Description: Subband Sinusoidal Modeling Synthesis (development files)
 libsbsms is a C++ library for high quality time stretching and pitch scaling of
 audio. It uses octave subband sinusoidal modeling.
 .
 The audio is fed into a FIFO, which takes the STFT of the input. Each frame is
 high-pass filtered in the Fourier domain, and then written to a frame FIFO
 which does quadratic interpolating peak detection and track continuation. The
 tracks are resynthesized with a quadratic phase preserving oscillator bank at
 an arbitrary time scale.
 .
 The subbands are fed from the low-pass filtered frames, which are decimated by
 two and reconstructed in a half rate time domain. The subbands perform the same
 process as the parent band, only the data is at half the audio frequency, and
 at half the rate. There are typically 6 bands. The point of subbands is to
 allow high time resolution for high frequencies and at the same time high
 frequency resolution for low frequencies.
 .
 Pitch scaling is performed in a post-processing resampling step.
 .
 This package contains the development files.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with autoreconf

override_dh_auto_clean:
	rm -rf config
	dh_auto_clean

override_dh_auto_configure:
	dh_auto_configure -- --enable-shared

## libsbsms 2.0.0

=== debian/changelog ===
libsbsms (2.0.0-3) unstable; urgency=low

  * Team upload.
  * Build with MultiArch support.

 -- Alessio Treglia <alessio@debian.org>  Tue, 14 Feb 2012 10:47:23 +0100

libsbsms (2.0.0-2) unstable; urgency=low

  * Disable SSE on all architectures except on amd64. (Closes: #645245)
  * Fix FTBFS on *-i386: malloc et al. used undeclared. (Closes: #645244)

 -- Benjamin Drung <bdrung@debian.org>  Sat, 15 Oct 2011 16:42:37 +0200

libsbsms (2.0.0-1) unstable; urgency=low

  * New upstream release.
  * Drop all backported patches.
  * Set the library version of libsbsms to get the correct .so name.
  * Bump Standards-Version to 3.9.2 (no changes required).
  * Rename libsbsms1 to libsbsms10 due to API changes.

 -- Benjamin Drung <bdrung@debian.org>  Wed, 12 Oct 2011 15:27:58 +0200

=== debian/control ===
--- 
+++ 
@@ -4,17 +4,19 @@
 Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
 Uploaders: Benjamin Drung <bdrung@debian.org>
 Build-Depends: autotools-dev,
-               debhelper (>= 8),
+               debhelper (>= 8.1.3~),
                dh-autoreconf,
                libsndfile1-dev (>= 1.0.2),
                libtool
-Standards-Version: 3.9.1
+Standards-Version: 3.9.2
 Homepage: http://sbsms.sourceforge.net/
 Vcs-Browser: http://git.debian.org/?p=pkg-multimedia/libsbsms.git;a=summary
 Vcs-Git: git://git.debian.org/git/pkg-multimedia/libsbsms.git
 
-Package: libsbsms1
+Package: libsbsms10
 Architecture: any
+Multi-Arch: same
+Pre-Depends: ${misc:Pre-Depends}
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: Subband Sinusoidal Modeling Synthesis
  libsbsms is a C++ library for high quality time stretching and pitch scaling of
@@ -38,7 +40,8 @@
 Package: libsbsms-dev
 Section: libdevel
 Architecture: any
-Depends: libsbsms1 (= ${binary:Version}), ${misc:Depends}
+Multi-Arch: same
+Depends: libsbsms10 (= ${binary:Version}), ${misc:Depends}
 Description: Subband Sinusoidal Modeling Synthesis (development files)
  libsbsms is a C++ library for high quality time stretching and pitch scaling of
  audio. It uses octave subband sinusoidal modeling.

## libsbsms 2.0.1

=== debian/changelog ===
libsbsms (2.0.1-1) unstable; urgency=low

  * New upstream release.
  * Require debhelper 9.
  * Bump Standard-Version to 3.9.3 (no changes required).
  * Update machine-readable copyright format to 1.0.

 -- Benjamin Drung <bdrung@debian.org>  Fri, 06 Jul 2012 01:01:23 +0200

=== debian/control ===
--- 
+++ 
@@ -4,11 +4,11 @@
 Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
 Uploaders: Benjamin Drung <bdrung@debian.org>
 Build-Depends: autotools-dev,
-               debhelper (>= 8.1.3~),
+               debhelper (>= 9),
                dh-autoreconf,
                libsndfile1-dev (>= 1.0.2),
                libtool
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Homepage: http://sbsms.sourceforge.net/
 Vcs-Browser: http://git.debian.org/?p=pkg-multimedia/libsbsms.git;a=summary
 Vcs-Git: git://git.debian.org/git/pkg-multimedia/libsbsms.git

=== debian/rules ===
#!/usr/bin/make -f

DEB_HOST_ARCH_CPU ?= $(shell dpkg-architecture -qDEB_HOST_ARCH_CPU)

ifneq ($(DEB_HOST_ARCH_CPU),amd64)
additional_confflags := --disable-sse
endif

%:
	dh $@ --with autoreconf

override_dh_auto_configure:
	dh_auto_configure -- --enable-shared $(additional_confflags)

## libsbsms 2.0.2

=== debian/changelog ===
libsbsms (2.0.2-1) unstable; urgency=medium

  * New upstream release.
  * Drop fix-ftbfs.patch (applied upstream) and refresh remaining patch.
  * Use canonical URLs for Vcs fields.
  * Enable parallel build.
  * Bump Standards-Version to 3.9.5 (no changes required).

 -- Benjamin Drung <bdrung@debian.org>  Wed, 18 Jun 2014 23:17:30 +0200

=== debian/control ===
--- 
+++ 
@@ -8,10 +8,10 @@
                dh-autoreconf,
                libsndfile1-dev (>= 1.0.2),
                libtool
-Standards-Version: 3.9.3
+Standards-Version: 3.9.5
 Homepage: http://sbsms.sourceforge.net/
-Vcs-Browser: http://git.debian.org/?p=pkg-multimedia/libsbsms.git;a=summary
-Vcs-Git: git://git.debian.org/git/pkg-multimedia/libsbsms.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-multimedia/libsbsms.git
+Vcs-Git: git://anonscm.debian.org/pkg-multimedia/libsbsms.git
 
 Package: libsbsms10
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -7,7 +7,7 @@
 endif
 
 %:
-	dh $@ --with autoreconf
+	dh $@ --parallel --with autoreconf
 
 override_dh_auto_configure:
 	dh_auto_configure -- --enable-shared $(additional_confflags)

=== debian/watch ===
version=3
http://sf.net/sbsms/libsbsms-(.+)\.tar\.gz

## libsbsms 2.3.0

=== debian/changelog ===
libsbsms (2.3.0-1build1) noble; urgency=high

  * No change rebuild for frame pointers (and time_t).

 -- Julian Andres Klode <juliank@ubuntu.com>  Thu, 18 Apr 2024 19:55:57 +0200

libsbsms (2.3.0-1) unstable; urgency=medium

  * Team upload

  [ Nicholas D Steeves ]
  * New upstream release (Closes: #873541).
    - Upstream has migrated from Sourceforge to Github.
  * Switch to new upstream source in copyright.
  * Update Upstream-Contact in copyright.
  * Update watch file to use the new upstream source.

  [ Dennis Braun ]
  * New upstream version 2.3.0
  * Bump debhelper-compat to 13
  * Bump Standards Version to 4.6.1
  * Set Rules-Requires-Root: no
  * Remove useless autoreconf build depends
  * Remove obsolete d/source/local-options
  * d/rules: Remove unnecessary dh-arguments
  * Add d/not-installed to prevent installing libsbsms.la
  * Add d/upstream/metadata
  * Add salsa ci config
  * Refresh patchset

 -- Dennis Braun <d_braun@kabelmail.de>  Tue, 16 Aug 2022 20:50:37 +0200

libsbsms (2.0.2-2) unstable; urgency=medium

  * Update Vcs links to point to https URLs
  * Bump Standards-Version to 3.9.8 (no changes needed)
  * Use https for copyright format specification URL
  * Update debian/copyright
  * Enable all hardening flags

 -- Benjamin Drung <bdrung@debian.org>  Sun, 25 Dec 2016 17:12:31 +0100

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,17 @@
 Source: libsbsms
 Section: libs
 Priority: optional
-Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders: Benjamin Drung <bdrung@debian.org>
-Build-Depends: autotools-dev,
-               debhelper (>= 9),
-               dh-autoreconf,
+Build-Depends: debhelper-compat (= 13),
                libsndfile1-dev (>= 1.0.2),
                libtool
-Standards-Version: 3.9.5
+Rules-Requires-Root: no
+Standards-Version: 4.6.1
 Homepage: http://sbsms.sourceforge.net/
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-multimedia/libsbsms.git
-Vcs-Git: git://anonscm.debian.org/pkg-multimedia/libsbsms.git
+Vcs-Browser: https://salsa.debian.org/multimedia-team/libsbsms
+Vcs-Git: https://salsa.debian.org/multimedia-team/libsbsms.git
 
 Package: libsbsms10
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

DEB_HOST_ARCH_CPU ?= $(shell dpkg-architecture -qDEB_HOST_ARCH_CPU)

ifneq ($(DEB_HOST_ARCH_CPU),amd64)
additional_confflags := --disable-sse
endif

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- --enable-shared $(additional_confflags)
